> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete collaborator

> Deletes an existing collaborator for a standalone DMM model



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml delete /model-monitor/v2/api/model/{model_id}/collaborators
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/collaborators:
    delete:
      tags:
        - Model
      summary: Delete collaborator
      description: Deletes an existing collaborator for a standalone DMM model
      operationId: deleteCollaborator
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            type: string
        - in: query
          name: collaborator_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully removed a collaborator from a model.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/collaboratorResponseArray'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    collaboratorResponseArray:
      type: array
      items:
        $ref: '#/components/schemas/collaboratorResponse'
    collaboratorResponse:
      title: Collaborator
      description: Get a model's collaborators
      allOf:
        - $ref: '#/components/schemas/collaborator'
        - type: object
          properties:
            username:
              description: Username of the user
              type: string
            email:
              description: Email of the user
              type: string
              nullable: true
            name:
              description: Name of the user
              type: string
    collaborator:
      description: Collaborator for a standalone model
      type: object
      required:
        - userId
        - collaboratorLevel
      properties:
        userId:
          description: user id of the collaborator
          type: string
        collaboratorLevel:
          $ref: '#/components/schemas/collaboratorLevel'
    collaboratorLevel:
      description: type of collaborator
      type: string
      enum:
        - editor
        - viewer
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````